### Method

# GUPnP RootDevice get_available

#### Declaration [src]

    gboolean
    gupnp_root_device_get_available (
      GUPnPRootDevice* root_device
    )

#### Description [src]

Checks whether `root_device` is available on the network (announcing its presence).

Gets property | `GUPnP.RootDevice:available`

#### Return value

Returns: | `gboolean`
| `TRUE` if `root_device` is available, `FALSE` otherwise.